jquery-rotate
=============

jQuery rotate allows you to perform a basic rotation animation.

.animate( [properties] [, callback ] )

properties
Type: PlainObject
An object of containing two optional properties:
- degrees: (int), (default: 360)
- speed: (int), (default: 1000)

callback
Type: Function()
A function to call once the animation is complete. This function will be appended to
the animate complete method.

Dependencies
=============

jQuery

Important notes
=============

jQuery rotate uses the transform property in order to perform the rotation therefore
it will only work as long as the browser supports it. Keep in mind that position, width, height
and display properties do play a big role on the rotation animation and they might produce
unexpected results if not set property.

Usage
=====

```
var $el = $("#myElmenteId");

// this will rotate
// the element 360 degrees
// over the course of one second
// by the defaults options
$el.rotate();

// passing in custom values
$el.rotate({
  speed: 2000,
  degrees: 100
});

// passing in custom values
// and a callback
$el.rotate({
  speed: 2000,
  degrees: 100
}, function(){
  console.log("As a user I want to rotate so I can get a bit dizzy!");
});
```
